View Issue Details

IDProjectCategoryView StatusLast Update
0000104Freifunk Franken Firmware[All Projects] Generalpublic2019-10-02 12:49
ReporterAdrian Schmutzler Assigned To 
PriorityhighSeverityminorReproducibilityalways
Status newResolutionopen 
Product Version20180726-beta 
Target Versionnext-stableFixed in Version 
Summary0000104: MacNocker mag keinen PoE-Adapter OHNE LAN-Partner
DescriptionWenn man einen One-Port (getestet mit CPE210v2) an den PoE-Adapter anschließt, ohne am LAN dort ein weiteres Gerät zu verbinden, gibt der MacNocker folgenden Fehler (jede Sekunde) aus:

Sat Jun 23 12:53:44 2018 daemon.err macnock[7996]: [c] ERROR: Can't send data: Permission denied

Sobald man aber ein anderes Gerät per LAN (Batman) verbindet, passiert folgendes (und die Fehler gehen weg):

Sat Jun 23 12:54:00 2018 daemon.info macnock[7996]: [s] Stopping Server
Sat Jun 23 12:54:00 2018 daemon.info macnock[7996]: [c] Stopping Client
Sat Jun 23 12:54:00 2018 daemon.info macnock[7996]: [m] Stopping Storage
Sat Jun 23 12:54:00 2018 daemon.info macnock[7996]: [t] Removing qdisc.
Sat Jun 23 12:54:00 2018 daemon.info macnock[7996]: [s] Server closed
Sat Jun 23 12:54:01 2018 daemon.info macnock[7996]: [c] Client closed
Sat Jun 23 12:54:01 2018 daemon.info macnock[7996]: [m] Storage closed
Sat Jun 23 12:54:01 2018 daemon.info macnock[17928]: /usr/sbin/macnock: Running for hood baerenhoehle on interface eth0
Sat Jun 23 12:54:01 2018 daemon.info macnock[17928]: [t] Removing old qdisc.
Sat Jun 23 12:54:01 2018 daemon.err macnock[17928]: RTNETLINK answers: Invalid argument
Sat Jun 23 12:54:01 2018 daemon.info macnock[17928]: [t] Adding qdisc.
Sat Jun 23 12:54:01 2018 daemon.info macnock[17928]: [t] Blocking all batman-adv traffic.
Sat Jun 23 12:54:01 2018 daemon.info macnock[17928]: [m] new entry: 50:c7:bf:93:xx:xx.
Sat Jun 23 12:54:02 2018 daemon.info macnock[17928]: [m] new entry: 72:4f:57:65:xx:xx.

TagsNo tags attached.

Relationships

has duplicate 0000105 resolved macnocker schreibt das Log voll 

Activities

Adrian Schmutzler

2018-06-23 13:11

manager   ~0000277

Zieht man das LAN-Kabel wieder, scheint es ganz zu bleiben.
Habe jetzt aber keinen Neustart probiert, ich würde erwarten, dass es dann wieder kaput ist.

Adrian Schmutzler

2018-06-24 19:49

manager   ~0000278

Habe gerade eine Picostation geflasht, dort tritt die selbe Situation auf.

Adrian Schmutzler

2018-07-29 19:25

manager   ~0000285

Hab jetzt nochmal eine größere Stichprobe angekuckt, das Problem tritt wohl auf allen Geräten mit PoE-Adapter ohne LAN-Verbindung sowie bei allen 841ern (ohne LAN-Mesh) auf.

ChristianD

2018-09-14 18:20

manager   ~0000304

wa850re ohne angeschlossenen LAN Port werde ich ebenfalls im Logread zugespamt

fbl

2018-10-16 00:13

administrator   ~0000306

Beim 841 wird scheinbar der Link State des Switches irgendwie an das CPU-Interface weitergegeben. Wenn nichts am Switch angeschlossen ist (WAN-Port ist nicht am Switch), dann zeigt das entsprechende Interface am 841 "NO-CARRIER". Damit ist es DOWN und der MacNocker kann seine Daten nicht senden, daher die Fehler.

In so fern ist nur die ständige Fehlermeldung quark, der MacNocker funktioniert einwandfrei.

Issue History

Date Modified Username Field Change
2018-06-23 13:01 Adrian Schmutzler New Issue
2018-06-23 13:11 Adrian Schmutzler Note Added: 0000277
2018-06-24 19:49 Adrian Schmutzler Note Added: 0000278
2018-07-25 14:24 reddog Relationship added has duplicate 0000105
2018-07-27 11:02 reddog Target Version 20180726-beta => next-stable
2018-07-29 19:25 Adrian Schmutzler Note Added: 0000285
2018-09-14 18:20 ChristianD Note Added: 0000304
2018-10-16 00:13 fbl Note Added: 0000306
2019-10-02 12:46 fbl Category Freifunk Franken Firmware => General
2019-10-02 12:48 fbl Category General => General2
2019-10-02 12:49 fbl Category General2 => General